Skip to main content
Box API supports a variety of users, ranging from real employees logging in with their Managed User account, to applications using App Users to drive powerful automation workflows.

User

A standard representation of a user, as returned from any user API endpoints by default.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this user.
typeenum<string>YesThe value will always be user. Available options: user.
namestringNoThe display name of this user.
loginstringNoThe primary email address of this user.
created_atstringNoWhen the user object was created.
modified_atstringNoWhen the user object was last modified.
languagestringNoThe language of the user, formatted in modified version of the ISO 639-1 format.
timezonestringNoThe user’s timezone.
space_amountintegerNoThe user’s total available space amount in bytes.
space_usedintegerNoThe amount of space in use by the user.
max_upload_sizeintegerNoThe maximum individual file size in bytes the user can have.
statusenum<string>NoThe user’s account status. Available options: active, inactive, cannot_delete_edit, cannot_delete_edit_upload.
job_titlestringNoThe user’s job title.
phonestringNoThe user’s phone number.
addressstringNoThe user’s address.
avatar_urlstringNoURL of the user’s avatar image.
notification_emailobjectNoAn alternate notification email address to which email notifications are sent. When it’s confirmed, this will be the email address to which notifications are sent instead of to the primary email address. Can be null.
Example
{
  "id": "11446498",
  "type": "user",
  "name": "Aaron Levie",
  "login": "ceo@example.com",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "language": "en",
  "timezone": "Africa/Bujumbura",
  "space_amount": 11345156112,
  "space_used": 1237009912,
  "max_upload_size": 2147483648,
  "status": "active",
  "job_title": "CEO",
  "phone": "6509241374",
  "address": "900 Jefferson Ave, Redwood City, CA 94063",
  "avatar_url": "https://www.box.com/api/avatar/large/181216415",
  "notification_email": {
    "email": "notifications@example.com",
    "is_confirmed": true
  }
}

User (Base)

A mini representation of a user, used when nested within another resource.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this user.
typeenum<string>YesThe value will always be user. Available options: user.
Example
{
  "id": "11446498",
  "type": "user"
}

User (Collaborations)

A mini representation of a user, can be returned only when the status is pending.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this user.
typeenum<string>YesThe value will always be user. Available options: user.
namestringNoThe display name of this user. If the collaboration status is pending, an empty string is returned.
loginstringNoThe primary email address of this user. If the collaboration status is pending, a login value is returned.
is_activebooleanNoIf set to false, the user is either deactivated or deleted.
Example
{
  "id": "11446498",
  "type": "user",
  "name": "Aaron Levie",
  "login": "ceo@example.com",
  "is_active": true
}

User (Full)

A full representation of a user, as can be returned from any user API endpoint.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this user.
typeenum<string>YesThe value will always be user. Available options: user.
namestringNoThe display name of this user.
loginstringNoThe primary email address of this user.
created_atstringNoWhen the user object was created.
modified_atstringNoWhen the user object was last modified.
languagestringNoThe language of the user, formatted in modified version of the ISO 639-1 format.
timezonestringNoThe user’s timezone.
space_amountintegerNoThe user’s total available space amount in bytes.
space_usedintegerNoThe amount of space in use by the user.
max_upload_sizeintegerNoThe maximum individual file size in bytes the user can have.
statusenum<string>NoThe user’s account status. Available options: active, inactive, cannot_delete_edit, cannot_delete_edit_upload.
job_titlestringNoThe user’s job title.
phonestringNoThe user’s phone number.
addressstringNoThe user’s address.
avatar_urlstringNoURL of the user’s avatar image.
notification_emailobjectNoAn alternate notification email address to which email notifications are sent. When it’s confirmed, this will be the email address to which notifications are sent instead of to the primary email address. Can be null.
roleenum<string>NoThe user’s enterprise role. Available options: admin, coadmin, user.
tracking_codesarray of Tracking codeNoTracking codes allow an admin to generate reports from the admin console and assign an attribute to a specific group of users. This setting must be enabled for an enterprise before it can be used.
can_see_managed_usersbooleanNoWhether the user can see other enterprise users in their contact list.
is_sync_enabledbooleanNoWhether the user can use Box Sync.
is_external_collab_restrictedbooleanNoWhether the user is allowed to collaborate with users outside their enterprise.
is_exempt_from_device_limitsbooleanNoWhether to exempt the user from Enterprise device limits.
is_exempt_from_login_verificationbooleanNoWhether the user must use two-factor authentication.
enterpriseobjectNoA representation of a Box enterprise.
my_tagsarray of stringNoTags for all files and folders owned by the user. Values returned will only contain tags that were set by the requester.
hostnamestringNoThe root (protocol, subdomain, domain) of any links that need to be generated for the user.
is_platform_access_onlybooleanNoWhether the user is an App User.
external_app_user_idstringNoAn external identifier for an app user, which can be used to look up the user. This can be used to tie user IDs from external identity providers to Box users.
Example
{
  "id": "11446498",
  "type": "user",
  "name": "Aaron Levie",
  "login": "ceo@example.com",
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "language": "en",
  "timezone": "Africa/Bujumbura",
  "space_amount": 11345156112,
  "space_used": 1237009912,
  "max_upload_size": 2147483648,
  "status": "active",
  "job_title": "CEO",
  "phone": "6509241374",
  "address": "900 Jefferson Ave, Redwood City, CA 94063",
  "avatar_url": "https://www.box.com/api/avatar/large/181216415",
  "notification_email": {
    "email": "notifications@example.com",
    "is_confirmed": true
  },
  "role": "admin",
  "tracking_codes": [
    {
      "type": "tracking_code",
      "name": "department",
      "value": "Sales"
    }
  ],
  "can_see_managed_users": true,
  "is_sync_enabled": true,
  "is_external_collab_restricted": true,
  "is_exempt_from_device_limits": true,
  "is_exempt_from_login_verification": true,
  "enterprise": {
    "id": "11446498",
    "type": "enterprise",
    "name": "Acme Inc."
  },
  "my_tags": [
    "important"
  ],
  "hostname": "https://example.app.box.com/",
  "is_platform_access_only": true,
  "external_app_user_id": "my-user-1234"
}

User (Integration Mappings)

A user representation for integration mappings API purposes. Fields name and login are not required.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this user.
typeenum<string>YesThe value will always be user. Available options: user.
namestringNoThe display name of this user.
loginstringNoThe primary email address of this user.
Example
{
  "id": "11446498",
  "type": "user",
  "name": "Aaron Levie",
  "login": "ceo@example.com"
}

User (Mini)

A mini representation of a user, as can be returned when nested within other resources.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this user.
typeenum<string>YesThe value will always be user. Available options: user.
namestringNoThe display name of this user.
loginstringNoThe primary email address of this user.
Example
{
  "id": "11446498",
  "type": "user",
  "name": "Aaron Levie",
  "login": "ceo@example.com"
}

Users

A list of users.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
total_countintegerNoOne greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
offsetintegerNoThe 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
orderarray of objectNoThe order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.
entriesarray of User (Full)NoA list of users.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "total_count": 5000,
  "offset": 2000,
  "order": [
    {
      "by": "type",
      "direction": "ASC"
    }
  ],
  "entries": [
    {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com",
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00",
      "language": "en",
      "timezone": "Africa/Bujumbura",
      "space_amount": 11345156112,
      "space_used": 1237009912,
      "max_upload_size": 2147483648,
      "status": "active",
      "job_title": "CEO",
      "phone": "6509241374",
      "address": "900 Jefferson Ave, Redwood City, CA 94063",
      "avatar_url": "https://www.box.com/api/avatar/large/181216415",
      "notification_email": {
        "email": "notifications@example.com",
        "is_confirmed": true
      },
      "role": "admin",
      "tracking_codes": [
        {
          "type": "tracking_code",
          "name": "department",
          "value": "Sales"
        }
      ],
      "can_see_managed_users": true,
      "is_sync_enabled": true,
      "is_external_collab_restricted": true,
      "is_exempt_from_device_limits": true,
      "is_exempt_from_login_verification": true,
      "enterprise": {
        "id": "11446498",
        "type": "enterprise",
        "name": "Acme Inc."
      },
      "my_tags": [
        "important"
      ],
      "hostname": "https://example.app.box.com/",
      "is_platform_access_only": true,
      "external_app_user_id": "my-user-1234"
    }
  ]
}
Last modified on July 9, 2026